Name:           torsmo
Version:        0.18
Release:        13%{?dist}
Summary:        TyopoytaORvelo System MOnitor

Group:          Applications/System
License:        BSD
URL:            http://torsmo.sourceforge.net/
Source0:        http://download.sourceforge.net/torsmo/%{name}-%{version}.tar.gz
Source1:        torsmo.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXft-devel
BuildRequires:  libXrender-devel

%description
Torsmo (TyopoytaORvelo System MOnitor) is a system monitor that sits in the
corner of your desktop. Torsmo can show various information about your system
and its peripherals. Torsmo is very light and customizable, and it renders
text on the root window.

For a sample configuration take a look torsmorc.sample.

%prep
%setup -q

%build
CFLAGS="`pkg-config xft --cflags` -DXFT %{optflags}" ; export CFLAGS
XFT_LIBS=`pkg-config xft --libs` ; export XFT_LIBS

%configure --enable-xft --enable-proc-uptime --enable-seti \
--x-includes=%{_includedir} --x-libraries=%{_libdir}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        %{SOURCE1}
iconv -f iso8859-1 -t utf-8 AUTHORS > AUTHORS.conv && mv -f AUTHORS.conv AUTHORS
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && mv -f ChangeLog.conv ChangeLog
iconv -f iso8859-1 -t utf-8 torsmorc.sample > torsmorc.sample.conv && mv -f torsmorc.sample.conv torsmorc.sample

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README readme.html torsmorc.sample
%{_bindir}/torsmo
%{_mandir}/man1/*
%{_datadir}/applications/*desktop

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu May 20 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.18-11
- fix xft build problem (#593956)
- ship documentation in utf8
- spec cleanup

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0.18-8
- Rebuilt for gcc43

* Thu Aug 23 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.18-7
- rebuild for buildid

* Fri Sep 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.18-6
- FE6 rebuild

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.18-5
- Rebuild for Fedora Extras 5

* Tue Jan 17 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.18-4
- add dist
- fix up description

* Tue Jan 17 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.18-3
- add sample rc
- switch to devel BR

* Sun Jan 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.18-2
- Fix spec for fe inclusion
- add desktop entry

* Sat Jan 14 2006 Thomas Jansen <mithi[AT]mithi.net>
0.18-1
- Initial Release
